PUT v1/TIPCovaOrder({orderId})
This call creates a Sales Order for a specified location with Tax Inclusive Pricing. It requires an Integrator Id which will identifiy the source of the order within Cova.
Information:
The intent is to represent orders with taxes included or excluded in the prices of each line item, depending on the explicit endpoint being called. Tax Inclusive Pricing is TIP and the historical Tax Exclusive Pricing is TEP.
Separate explicit calls to create orders based on the two tax pricing schemes is a way to ensure understanding of the key differences
Additional Documentation
Determine Tax Pricing Configuration
Base URL:
https://api.covasoft.net/covaorderintake
Example of a call would be:
https://api.covasoft.net/covaorderintake/v1/TIPCovaOrder(2a8f5d33-eec9-4864-8b49-5636577b40d5)
Note:
This PUT call will create an order. Use this call if Tax Pricing Configuration for the location/entityId is Inclusive.
As an integrator, you must generate an OrderId GUID value.
The generated id must be supplied in the URL AND in the body of the PUT request as the id value
PUT /covaorderintake/v1/TIPCovaOrder({your generated id})
Host: api.covasoft.net
Authorization: Bearer {your token}
Accept: application/json
Content-Type: application/json
{
"Id":"{your generated id}",
"CompanyId": 1,
"EntityId": 2,
.... etc
"IntegratorId":"{integratorId}",
"Lines": [ ... ]
}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| orderId | globally unique identifier |
Required |
Body Parameters
Details needed for the Cova Sales Order
CovaSalesOrderWithLines| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | string |
None. |
|
| CompanyId | integer |
None. |
|
| EntityId | integer |
None. |
|
| OrderReference |
Displayed in Cova POS if a valid `CustomerId` is not supplied. Recommend [$firstName $lastName] |
string |
None. |
| CustomerId | string |
None. |
|
| IntegratorId | string |
None. |
|
| IsDelivery | boolean |
None. |
|
| ExternalOrderId |
Order identifier from the submitting partner. Used as a cross-reference |
string |
None. |
| Notes |
Any notes relevant to the order. Please be brief, as this will be displayed in the Cova POS. |
string |
None. |
| TimeSlotDisplayString |
Text describing a delivery time slot. Optional Please be brief, as this will be displayed in the Cova POS. |
string |
None. |
| Lines |
Replaces `Items` in legacy orders |
Collection of OrderLine |
None. |
Request Formats
application/json, text/json
{
"Id": "sample string 1",
"CompanyId": 2,
"EntityId": 3,
"OrderReference": "sample string 4",
"CustomerId": "sample string 5",
"IntegratorId": "sample string 6",
"IsDelivery": true,
"ExternalOrderId": "sample string 8",
"Notes": "sample string 9",
"TimeSlotDisplayString": "sample string 10",
"Lines": [
{
"Name": "sample string 1",
"CatalogItemId": "sample string 2",
"Quantity": 3.1,
"LineDollarAmount": 4.1,
"PackageId": "sample string 5"
},
{
"Name": "sample string 1",
"CatalogItemId": "sample string 2",
"Quantity": 3.1,
"LineDollarAmount": 4.1,
"PackageId": "sample string 5"
}
]
}
Response Information
Resource Description
Returns and empty body with an HTTP Accepted - 202 status
HttpStatusCodeResponse Formats
application/json, text/json
100